/*
 * common.h:
 *
 * Common inclusions and definitions to handle Apache 1 & 2 compatibility:
 */
#ifndef _benchmark_common_h_
#define _benchmark_common_h_

/*
 * --------
 * INCLUDES:
 * --------
 */
#include "../config.h"

#if WITH_APACHE2
#include "apr.h"
#include "apr_pools.h"
#include "apr_dso.h"
#include "apr_tables.h"
#include "apr_strings.h"
#endif 

#include "httpd.h"

#if WITH_APACHE2
#include "ap_mpm.h"
#endif

/* 
 * ---------
 * FUNCTIONS:
 * ---------
 */
#if WITH_APACHE1
#define apr_palloc			ap_palloc
#define apr_pcalloc			ap_pcalloc
#define apr_pool_cleanup_register	ap_register_cleanup
#define apr_pool_cleanup_null		ap_null_cleanup
#define apr_table_set			ap_table_set
#define apr_table_get			ap_table_get
#define apr_pstrdup			ap_pstrdup
#define apr_psprintf			ap_psprintf
#endif

#if WITH_APACHE2
#endif

/*
 * -----
 * TYPES:
 * -----
 */
#if WITH_APACHE1
#define apr_pool_t			pool
#define apr_dso_handle_t		void
#define apr_status_t			int
#endif

#if WITH_APACHE2
#endif

/*
 * ---------
 * CONSTANTS:
 * ---------
 */
#if WITH_APACHE1
#define APR_SUCCESS		0
#define ALE2(x)
#endif

#if WITH_APACHE2
#define ALE2(x)			(x),
#endif

#endif /* _benchmark_common_h_ */

/* EOF */
